# flutter_bugly_play 
[![pub package](https://img.shields.io/pub/v/flutter_bugly.svg)](https://pub.dartlang.org/packages/flutter_bugly)
[![Gitter](https://badges.gitter.im/flutter_developer/community.svg)](https://gitter.im/flutter_developer/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)

腾讯Bugly flutter运营统计插件，带更新功能请至[flutter_bugly](https://pub.dartlang.org/packages/flutter_bugly)

## 支持Android/iOS 运营统计、原生异常上报、flutter异常上报、应用更新

---

一、引入
--
```yaml
dependencies:
  flutter_bugly_play: lastVersion
```

二、项目配置
---
在android/app/build.gradle的android下加入

```gradle
    lintOptions {
        //如打包出现Failed to transform libs.jar to match attributes
        checkReleaseBuilds false
    }
    defaultConfig {
        ndk {
            //设置支持的SO库架构
            abiFilters 'armeabi-v7a'//, 'arm64-v8a', 'x86', 'x86_64'
        }
    }
```

三、使用
----
```dart
import 'package:flutter_bugly/flutter_bugly.dart';

//使用flutter异常上报
void main()=>FlutterBugly.postCatchedException((){
  runApp(MyApp());
});

FlutterBugly.init(androidAppId: "your android app id",iOSAppId: "your iOS app id");

```

四、release打包（Android）
-----
64-bit
```
flutter build apk --release --target-platform android-arm64
```
32-bit（目前配合armeabi-v7a可以打出32位64位通用包）
```
flutter build apk --release --target-platform android-arm
```

五、支持属性（Android）
-----
```dart
 String channel, //自定义渠道标识
 int initDelay = 0, //延迟初始化，单位秒

 FlutterBugly.setUserId("user id");
 FlutterBugly.putUserData(key: "key", value: "value");
 FlutterBugly.setUserTag(int tag);
```

